﻿using System.Collections.Concurrent;

namespace FNZCM.ConHost.Ver2
{
    internal class Library2
    {
        public Library2(string name) => Name = name;

        public string Name { get; }

        public ConcurrentDictionary<string, Disc> Discs { get; } = new();
    }

    internal class Disc
    {
        public string Name { get; }

        public Disc(string name) => Name = name;

        public ConcurrentDictionary<string, string> Bks { get; } = new();

        public ConcurrentDictionary<string, string> MainTracks { get; } = new();
        public ConcurrentDictionary<string, TrackSet> SubTracks { get; } = new();
    }

    internal class TrackSet
    {
        public string Name { get; }

        public TrackSet(string name) => Name = name;

        public ConcurrentDictionary<string, string> Tracks { get; } = new();

    }

    internal class MediaTag2
    {
        public MediaTag2(string title, int duration, long length,string artist)
        {
            Title = title;
            Duration = duration;
            Length = length;
            Artist = artist;
        }

        public string Title { get; }
        public int Duration { get; }
        public long Length { get; }
        public string Artist { get; }
    }
}
